# defs.mak.in --
# source file for autoconf-generated "defs.mak" for irsim

# defs.mak.  Generated from defs.mak.in by configure.
# Feel free to change the values in here to suit your needs.
# Be aware that running scripts/configure again will overwrite
# any changes!

SHELL                  = /bin/sh

prefix = ${BUILDROOT}/usr/local
exec_prefix = ${prefix}
bindir = ${exec_prefix}/bin
libdir = ${exec_prefix}/lib
mandir = ${prefix}/man

VERSION                = 

SCRIPTS		       = ${IRSIMDIR}/scripts

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}

# Override standard "make" target when compiling under TCL
ALL_TARGET = tcl
INSTALL_TARGET = install-tcl

# Change libdir to install in a different place
BINDIR                 = ${bindir}
MANDIR                 = ${mandir}
LIBDIR                 = ${libdir}
DOCDIR                 = ${libdir}/irsim/doc
SYSDIR                 = ${libdir}/irsim/sys
PRMDIR                 = ${libdir}/irsim/prm
TCLDIR                 = ${libdir}/irsim/tcl
XBMDIR                 = ${libdir}/irsim/tcl/bitmaps

MAIN_EXTRA_LIBS	       =  ${IRSIMDIR}/faultsim/libfaultsim.o ${IRSIMDIR}/usersubckt/libusersubckt.o ${IRSIMDIR}/tcltk/libtcltk.o
LD_EXTRA_LIBS	       = 
LD_SHARED	       = 
TOP_EXTRA_LIBS	       = 
SUB_EXTRA_LIBS	       = 

MODULES               +=  faultsim usersubckt tcltk
UNUSED_MODULES        += 
PROGRAMS	      +=  random tcltk
INSTALL_CAD_DIRS      +=  tcltk

RM                     = rm -f
CP                     = cp
AR                     = ar
ARFLAGS                = crv
LINK                   = ld -r
LD                     = /usr/bin/ld
M4		       = /usr/bin/m4
RANLIB                 = ranlib
SHDLIB_EXT             = .so
LDDL_FLAGS             = -shared -Wl,-soname,$@ -Wl,--version-script=${IRSIMDIR}/irsim/symbol.map
LD_RUN_PATH	       =  -Wl,-rpath,/usr/local/lib
LIB_SPECS	       =  -L/usr/local/lib -ltk8.4 -ltcl8.4
SHLIB_LIB_SPECS	       = 
WISH_EXE	       = /usr/local/bin/wish
TCL_LIB_DIR	       = /usr/local/lib

CC                     = gcc
CPP                    = gcc -E -x c
CXX		       = @CXX@

CPPFLAGS               = -I. -I${IRSIMDIR} 
DFLAGS                 =  -DCAD_DIR=\"${LIBDIR}\" -DBIN_DIR=\"${BINDIR}\" -DTCL_DIR=\"${TCLDIR}\" -DPACKAGE_NAME=\"irsim\" -DPACKAGE_TARNAME=\"irsim\" -DPACKAGE_VERSION=\"9.7\" -DPACKAGE_STRING=\"irsim\ 9.7\" -DPACKAGE_BUGREPORT=\"magic-hackers@csl.cornell.edu\" -DIRSIM_VERSION=\"9.7\" -DIRSIM_REVISION=\"20\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DSIZEOF_VOID_P=4 -DSIZEOF_UNSIGNED_INT=4 -DSIZEOF_UNSIGNED_LONG=4 -DSIZEOF_UNSIGNED_LONG_LONG=8 -DSTDC_HEADERS=1 -DHAVE_SETENV=1 -DHAVE_PUTENV=1 -DHAVE_DIRENT_H=1 -DHAVE_LIMITS_H=1 -DHAVE_VA_COPY=1 -DHAVE___VA_COPY=1 -DFAULT_SIM=1 -DPOWER_EST=1 -DUSER_SUBCKT=1 -DSTATS=1 -DCL_STATS=1 -DRANDOM=1 -DTCL_IRSIM=1 -DLINUX=1 -DSYSV=1 -DISC=1  -DSHDLIB_EXT=\".so\" -DNDEBUG
CFLAGS                 = -g -fPIC  -I/usr/local/include

DEPEND_FILE	       = Depend
DEPEND_FLAG	       = -MM
EXEEXT		       = 

GR_CFLAGS              =  -I/usr/X11R6/include 
GR_DFLAGS	       =  -DX11 -DXLIB -DNDEBUG
GR_LIBS                =  -lX11 -lbsd-compat  -L/usr/X11R6/lib
GR_SRCS                =  ${TK_SRCS}
GR_HELPER_SRCS         = 
GR_HELPER_PROG         = 
OTHER_SRCS             = 

OBJS      = ${SRCS:.c=.o} ${CXXSRCS:.cpp=.o}
LIB_OBJS  = ${LIB_SRCS:.c=.o}
CLEANS    = ${OBJS} ${LIB_OBJS} lib${MODULE}.a lib${MODULE}.o ${MODULE}
